> ## Documentation Index
> Fetch the complete documentation index at: https://docs.curbwaste.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Zones By Zip



## OpenAPI

````yaml /openapi/public.openapi.json get /v1/zones/by-zip
openapi: 3.1.0
info:
  title: CurbWaste Public API
  version: 1.0.0
  description: >-
    Partner-facing public API under /v1. Authenticate with a company API key
    (Authorization: Bearer cw_live_…). Outbound webhooks (customer.created /
    customer.updated / location.created / location.updated / pricelist.created)
    use HMAC and are documented separately.
  contact:
    name: CurbWaste
  license:
    name: UNLICENSED 1
servers:
  - url: https://api.curbwaste.com
    description: Production public API
security:
  - ApiKeyBearer: []
tags:
  - name: Customers
    description: >-
      Company CRM customers under /v1/customers. Requires customers:read or
      customers:write.
  - name: Catalog
  - name: Locations
  - name: Zones
paths:
  /v1/zones/by-zip:
    get:
      tags:
        - Zones
      summary: List Zones By Zip
      operationId: listZonesByZip
      parameters:
        - name: zipcode
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 20
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicZonesListResponse'
components:
  schemas:
    PublicZonesListResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PublicZone'
      required:
        - data
    PublicZone:
      type: object
      properties:
        id:
          type: string
        name:
          oneOf:
            - type: 'null'
            - type: string
        code:
          oneOf:
            - type: 'null'
            - type: string
        color:
          oneOf:
            - type: 'null'
            - type: string
        isActive:
          type: boolean
        zipCodes:
          type: array
          items:
            type: string
        services:
          type: array
          items:
            $ref: '#/components/schemas/PublicZoneService'
      required:
        - id
        - name
        - code
        - color
        - isActive
        - zipCodes
        - services
    PublicZoneService:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        identifier:
          oneOf:
            - type: 'null'
            - type: string
      required:
        - id
        - name
        - identifier
  securitySchemes:
    ApiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: API key
      description: >-
        Company API key from the developer platform. Header: Authorization:
        Bearer cw_live_…. Key must include customers:read and/or
        customers:write.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.